# Gets Public Invoice information

Public endpoint that allows for retrieval of invoice information, provided the accurate sharing secret is supplied

Endpoint: GET /invoices/{tenantId}/public/{id}
Version: v1-2025-04-18

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed

  - `id` (string, required)
    The ID of the invoice

## Query parameters:

  - `sharing_secret` (string, required)
    The sharing secret of hte invoice

## Response 200:

  - `200` (unknown)
    The generation completed successfully

## Response 200 fields (application/json):

  - `allowed_payment_methods` (string)
    Enum: "both", "credit card", "electronic check"

  - `balance_due` (number)
    The balance due on the invoice

  - `date` (string)
    The date of the invoice

  - `date_due` (string)
    The date of the invoice

  - `id` (string)
    The ID of the invoice

  - `number` (number)
    Invoice number

  - `status` (string)
    The status of the invoice
    Enum: "cancelled", "open", "paid", "void", "written off"

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The invoice could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve invoice based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

